# PhoneUsageEvent

Represents a phone usage event (i.e. handling of the phone) during a transport.

## PhoneUsageEvent API

### `callState`

> The end date of the event. See [CallState](/important-topics/sdk/api-reference/ios/driving-insights/sentphoneusageevent/callstate.md).
>
> ```swift
> let callState: CallState
> ```

### `endDate`

> The end date of the event. See [SENTDate](/important-topics/sdk/api-reference/ios/sentdate.md).
>
> ```swift
> let endDate: SENTDate
> ```

### `startDate`

> The start date of the event. See [SENTDate](/important-topics/sdk/api-reference/ios/sentdate.md).
>
> ```swift
> let startDate: SENTDate
> ```

### `waypoints`

> Transport waypoints that indicate the segment of the transport where the event occurred. See [SENTWaypoint](/important-topics/sdk/api-reference/ios/sentwaypoint.md).
>
> ```swift
> let waypoints: [SENTWaypoint]
> ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/driving-insights/sentphoneusageevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
